Bug 211439 - Throwable: Using stale writer, possibly forgotten call to store, old owner Thread Thread[RepositoryUpdater.worker,1,system], new owner Thread Thread[AWT-EventQueue-0,6,IDE Main] .
Throwable: Using stale writer, possibly forgotten call to store, old owner Th...
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Tomas Zezula
issues@editor
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 09:56 UTC by KhArtNJava
Modified: 2012-05-01 09:54 UTC (History)
9 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.73 KB, text/plain)
2012-04-19 09:57 UTC, KhArtNJava
Details
stacktrace (4.61 KB, text/plain)
2012-04-23 09:41 UTC, Jiri Prox
Details
stacktrace (4.83 KB, text/plain)
2012-04-24 20:20 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description KhArtNJava 2012-04-19 09:56:57 UTC
This bug was originally marked as duplicate of bug 210962, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE Dev (Build 201204170400)
VM: Java HotSpot(TM) Client VM, 22.1-b02, Java(TM) SE Runtime Environment, 1.7.0_03-b05
OS: Windows 7

User Comments:
aws: new php file -> start writing req ...

maghiel: class TestingController extends Zen|
Where | is positiion of cursor

karel_barel: pasted:

"<?php

namespace SAVerlag\FinderBundle\Logic\CompanyCollectedInformation\Extractor;

use SAVerlag\FinderBundle\Entity\Company;
use SAVerlag\FinderBundle\Entity\Location;"

pressed Enter and started to write

"class"<=-here appeared the exception




Stacktrace: 
java.lang.Throwable: Using stale writer, possibly forgotten call to store, old owner Thread Thread[RepositoryUpdater.worker,1,system], new owner Thread Thread[AWT-EventQueue-0,6,IDE Main] .
   at org.netbeans.modules.parsing.lucene.LuceneIndex$DirCache$OwnerReference.assertNoModifiedWriter(LuceneIndex.java:1063)
   at org.netbeans.modules.parsing.lucene.LuceneIndex$DirCache.beginTx(LuceneIndex.java:782)
   at org.netbeans.modules.parsing.lucene.LuceneIndex.run(LuceneIndex.java:354)
   at org.netbeans.modules.parsing.lucene.DocumentIndexImpl.run(DocumentIndexImpl.java:192)
   at org.netbeans.modules.parsing.impl.indexing.lucene.LayeredDocumentIndex.begin(LayeredDocumentIndex.java:184)
   at org.netbeans.modules.parsing.spi.indexing.Context.attachIndexingSupport(Context.java:299)
Comment 1 KhArtNJava 2012-04-19 09:57:03 UTC
Created attachment 118499 [details]
stacktrace
Comment 2 Jiri Prox 2012-04-23 09:41:26 UTC
Created attachment 118619 [details]
stacktrace

Exception occured when editing css file. I'm not sure what I did, but I was using only paste action (part of css copied form another file) and undo
Comment 3 Exceptions Reporter 2012-04-24 11:41:29 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=187169
Comment 4 schkovich 2012-04-24 20:20:27 UTC
Created attachment 118712 [details]
stacktrace

Overtyping variable name during svn update
Comment 5 Tomas Zezula 2012-04-26 14:17:54 UTC
Fixed jet-main 1aa2ee64957f
Comment 6 Quality Engineering 2012-05-01 09:54:23 UTC
Integrated into 'main-golden', will be available in build *201205010400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/1aa2ee64957f
User: Tomas Zezula <tzezula@netbeans.org>
Log: #211439:Throwable: Using stale writer, possibly forgotten call to store, old owner Thread Thread[RepositoryUpdater.worker,1,system], new owner Thread Thread[AWT-EventQueue-0,6,IDE Main] .


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo